View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18516Bug reportsSurvey editingpublic2023-01-09 11:01
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.4.x 
Summary18516: Create Survey button allows multiple clikcing and may create multiple copies
Description

Both in the creation and in the copy of surveys there are two buttons: one in the bar and another one below the inputs. The one below the inputs is not disabled, so you can click many times, and end up creating/copying many times.

Steps To Reproduce

Caught while reviewing 18449

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Version 5.4.9+221101
I will donate to the project if issue is resolvedNo
BrowserVivaldi and Edge
Database type & versionMySQL
Server OS (if known)OVH Shared hosting
Webserver software & version (if known)
PHP Version8.1

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-12-22 22:21

manager   ~73293

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2812

DenisChenu

DenisChenu

2022-12-23 08:38

developer   ~73298

Last edited: 2022-12-23 08:39

Is it really an issue ?
It's the way web form work on all website.

I didn't take this decision here.

gabrieljenik

gabrieljenik

2022-12-23 13:45

manager   ~73302

I didn't take this decision here.

What do you mean by this? Not sure I understand

DenisChenu

DenisChenu

2022-12-23 16:21

developer   ~73306

What do you mean by this? Not sure I understand

If this an issue or not :)

gabrieljenik

gabrieljenik

2023-01-04 14:13

manager   ~73357

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=34200

LimeBot

LimeBot

2023-01-09 11:01

administrator   ~73387

Fixed in Release 5.5.2+230109

Related Changesets

LimeSurvey: master 4deac137

2023-01-04 14:13:32

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18516: Create Survey button allows multiple clicking and may create multiple copies (#2812)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Affected Issues
18516
mod - application/views/surveyAdministration/tabCopy_view.php Diff File
mod - application/views/surveyAdministration/tabCreate_view.php Diff File

Issue History

Date Modified Username Field Change
2022-11-28 15:14 gabrieljenik New Issue
2022-11-28 15:14 gabrieljenik Issue generated from: 18515
2022-11-28 15:14 gabrieljenik Relationship added related to 18515
2022-11-28 15:15 gabrieljenik Status new => confirmed
2022-11-28 15:15 gabrieljenik Relationship deleted related to 18515
2022-11-28 15:16 gabrieljenik Issue cloned: 18517
2022-12-15 17:38 gabrieljenik Assigned To => gabrieljenik
2022-12-15 17:38 gabrieljenik Status confirmed => assigned
2022-12-22 22:21 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-12-22 22:21 gabrieljenik Status assigned => ready for code review
2022-12-22 22:21 gabrieljenik Note Added: 73293
2022-12-22 22:21 gabrieljenik Bug heat 0 => 2
2022-12-23 08:38 DenisChenu Note Added: 73298
2022-12-23 08:38 DenisChenu Bug heat 2 => 4
2022-12-23 08:39 DenisChenu Note Edited: 73298
2022-12-23 08:39 DenisChenu Assigned To DenisChenu => ollehar
2022-12-23 13:45 gabrieljenik Note Added: 73302
2022-12-23 16:21 DenisChenu Note Added: 73306
2022-12-23 16:21 DenisChenu Status ready for code review => ready for testing
2023-01-03 15:35 gabrieljenik Status ready for testing => ready for merge
2023-01-04 14:13 gabrieljenik Changeset attached => LimeSurvey master 4deac137
2023-01-04 14:13 gabrieljenik Note Added: 73357
2023-01-04 14:13 gabrieljenik Assigned To ollehar => gabrieljenik
2023-01-04 14:13 gabrieljenik Resolution open => fixed
2023-01-09 11:01 LimeBot Note Added: 73387
2023-01-09 11:01 LimeBot Status ready for merge => closed
2023-01-09 11:01 LimeBot Bug heat 4 => 6